<?
include 'mysql.php';
include_once("inclydings/zag.php");
include 'inclydings/ini.php';
include 'inclydings/sesi.php';
if (isset($user)) {

if(@file("L2dbnam/esql2db/item/$log.dat")){
$file = @file("L2dbnam/esql2db/item/$log.dat");
$total = count($file);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

$file = @file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$data = explode(":||:",$file[$i]);
$i2=round($i+1);


if($data[2]=="vesh"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];
echo"<img src=\"pik4erspic/skroll/$dat_name[$k].gif\" height=32 width=32 alt=\"pic\"/><a href=\"odet.php?$sd&tip=$data[2]&name=$data[4]\">$data[4]</a>- ($data[3] штук)<br/>";}

}}else{echo"У вас нет Ресурсов.";}

if($total>0){

$ba=ceil($total/5);
$ba2=$ba*5-5;

$asd=$start-(5*3);
$asd2=$start+(5*4);

if($asd<$total && $asd>0){echo ' <a href="itemres.php?start=0&'.$sd.'">1</a> ... ';}

for($i=$asd; $i<$asd2;){

if($i<$total && $i>=0){
$ii=floor(1+$i/5);

if ($start==$i) {
echo ' <b>('.$ii.')</b>';
}else{
echo ' <a href="itemres.php?start='.$i.'&'.$sd.'">'.$ii.'</a>';
}}

$i=$i+5;}
if($asd2<$total){echo ' ... <a href="itemres.php?start='.$ba2.'&'.$sd.'">'.$ba.'</a>';}
}


}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>